package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.DoumuEvaluate;

/**
 * 订单评价Mapper接口
 * 
 * @author boman
 * @date 2024-01-22
 */
public interface DoumuEvaluateMapper 
{
    /**
     * 查询订单评价
     * 
     * @param evaluateId 订单评价主键
     * @return 订单评价
     */
    public DoumuEvaluate selectDoumuEvaluateByEvaluateId(Long evaluateId);

    /**
     * 查询订单评价列表
     * 
     * @param doumuEvaluate 订单评价
     * @return 订单评价集合
     */
    public List<DoumuEvaluate> selectDoumuEvaluateList(DoumuEvaluate doumuEvaluate);

    /**
     * 新增订单评价
     * 
     * @param doumuEvaluate 订单评价
     * @return 结果
     */
    public int insertDoumuEvaluate(DoumuEvaluate doumuEvaluate);

    /**
     * 修改订单评价
     * 
     * @param doumuEvaluate 订单评价
     * @return 结果
     */
    public int updateDoumuEvaluate(DoumuEvaluate doumuEvaluate);

    /**
     * 删除订单评价
     * 
     * @param evaluateId 订单评价主键
     * @return 结果
     */
    public int deleteDoumuEvaluateByEvaluateId(Long evaluateId);

    /**
     * 批量删除订单评价
     * 
     * @param evaluateIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDoumuEvaluateByEvaluateIds(Long[] evaluateIds);

    DoumuEvaluate selectDoumuEvaluateByProductId(Long productId);
}
